<app-candidate-nav></app-candidate-nav>
<div class="mat-elevation-z8">
    <mat-form-field>
        <mat-label>Search</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Search">
      </mat-form-field><mat-icon>search</mat-icon>
    <table mat-table [dataSource]="datasource"  matSort>

        
        <ng-container matColumnDef="gradId">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Grad ID. </th>
            <td mat-cell *matCellDef="let element"> {{element.gradId}} </td>
        </ng-container>

       
        <ng-container matColumnDef="gradFirstName">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>First Name </th>
            <td mat-cell *matCellDef="let element"> {{element.gradFirstName}} </td>
        </ng-container>

        <ng-container matColumnDef="gradLastName">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Last Name </th>
            <td mat-cell *matCellDef="let element"> {{element.gradLastName}} </td>
        </ng-container>
       
        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Email ID </th>
            <td mat-cell *matCellDef="let element"> {{element.email}} </td>
        </ng-container>

        <ng-container matColumnDef="institute">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Institute </th>
            <td mat-cell *matCellDef="let element"> {{element.institute}} </td>
        </ng-container>

      
        <ng-container matColumnDef="joiningLocation">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Location </th>
            <td mat-cell *matCellDef="let element"> {{element.joiningLocation}} </td>
        </ng-container>

            <ng-container matColumnDef="createdOn">
                <th mat-header-cell *matHeaderCellDef > </th>
                <td mat-cell *matCellDef="let element">
                    <button mat-mini-fab color="primary" (click)="viewDetails(element)"><mat-icon>streetview</mat-icon></button>
                    &nbsp;
                    <button mat-mini-fab color="warn" (click)="editDetails(element)"><mat-icon>create</mat-icon></button>
                    &nbsp;
                    <button mat-mini-fab color="warn" (click)="delete(element)"><mat-icon>delete</mat-icon></button>
                 </td>
            </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator [pageSizeOptions]="[ 10, 20,30]" showFirstLastButtons></mat-paginator>
</div>